# SalesforceClientApp

A simple Sinatra app which is integrated with Force.com and some of its API.

## Installation

Add this line to your application's Gemfile:

    gem 'salesforce_client_app'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install salesforce_client_app

## Usage

Create an app directory, then make Gemfile.

    mkdir myapp && cd myapp && touch Gemfile

Edit Gemfile as followings.

    # A sample Gemfile
    source "https://rubygems.org"

    gem 'salesforce_client_app'

then `Bundle install`.

Or you can use `init` command of `twitter_client_app`.

    $ salesforce_client_app init PROJECT_NAME

If you want to use CLI, you should install 'salesforce_client_app' gem directory.

Also make public directory, and put the index.html file. After that, please make app.rb and edit it as following.

    require 'salesforce_client_app'

    SalesforceClientApp::App.setRoot(File.expand_path(File.dirname(__FILE__)))
    SalesforceClientApp::App.run!

and then, create `.env` file and describe following configs.

    SALESFORCE_KEY=<insert key here>
    SALESFORCE_SECRET=<insert secret here>
    SECRET=some_random_text_string

That's all! After you have to do is use it. :)

    $  foreman start

    13:12:47 web.1  | started with pid 2743
    13:12:48 web.1  | [2014-06-12 13:12:48] INFO  WEBrick 1.3.1
    ...
    13:12:48 web.1  | [2014-06-12 13:12:48] INFO  WEBrick::HTTPServer#start: pid=2743 port=5000

For more information, please  see the files of `example` directory.

![alt tag](https://raw.githubusercontent.com/kawanoshinobu/salesforce_client_app/master/images/1.png)

## Contributing

1. Fork it ( https://github.com/[my-github-username]/salesforce_client_app/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
